ExternalDependency (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.tooling.model

## [Java] Interface ExternalDependency

- org.gradle.tooling.model.ExternalDependency

- All Superinterfaces:
    Dependency

  Represents an external artifact dependency.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getFile()` Returns the file for this dependency.
    `GradleModuleVersion` | `getGradleModuleVersion()` Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
    `File` | `getJavadoc()` Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.
    `File` | `getSource()` Returns the source directory or archive for this dependency, or `null` if no source is available.
    `boolean` | `isExported()` Marks this dependency as exported.

- - ### Method Detail

    - #### public File getFile()

      Returns the file for this dependency.

      Returns:
        The file for this dependency.

    - #### @Nullable @Incubating public GradleModuleVersion getGradleModuleVersion()

      Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.

      Returns:
        The Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
      Since:
        1.1

    - #### @Nullable public File getJavadoc()

      Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.

      Returns:
        the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.

    - #### @Nullable public File getSource()

      Returns the source directory or archive for this dependency, or `null` if no source is available.

      Returns:
        The source directory or archive for this dependency, or `null` if no source is available.

    - #### public boolean isExported()

      Marks this dependency as exported.

      Returns:
        whether this dependency needs to be exported.
      Since:
        2.5